require_relative 'lib/WeaverBot/version'

Gem::Specification.new do |spec|
  spec.name          = "WeaverBot"
  spec.version       = WeaverBot::VERSION
  spec.authors       = ["LWFlouisa"]
  spec.email         = ["lwflouisa.riseup.net"]

  spec.summary       = %q{This downloads the chatbot aiml script, runs it, and then purges when not needed.}
  spec.description   = %q{I've been increasingly growing concerned about space on my machine, so my approach is to download the AIML script, run it, and then eliminate as needed.}
  spec.homepage      = "https://lwflouisa.github.io/Weaver-AI"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency 'programr', '~> 0.0.2'
end
